package RVVote::Controller::RV;
use Mojo::Base 'Mojolicious::Controller';
use RVVote::GraphAPI;
use MIME::Base64 qw(decode_base64url);
use JSON;

sub index {
    my $c = shift;
    $c->render( template => 'rv_form' );
}

sub members {
    my $c = shift;
   
    my @members = ();

    if ($c->param('election')) {
        eval {
            my $election = decode_json(decode_base64url($c->param('election')));
            @members = map {
                {
                    fullname =>	$_->{voter},
                    value    =>	$_->{value},
                    user_id  => $_->{id},
                }
            } @{ $election }
        };
    } 

    if ( ! scalar @members ) {
        my $gapi = RVVote::GraphAPI->new($c->config->{graph_api}{url});
        @members = $gapi->get_group_members($c->config->{graph_api}{rv_gid});
    }

    $c->render( json => \@members );
}

1;
